# $Revision: 1.28.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Parser
Summary:	XML::Parser Perl module
Summary(cs):	Modul XML::Parser pro Perl
Summary(da):	Perlmodul XML::Parser
Summary(de):	XML::Parser Perl Modul
Summary(es):	Mdulo de Perl XML::Parser
Summary(fr):	Module Perl XML::Parser
Summary(it):	Modulo di Perl XML::Parser
Summary(ja):	XML::Parser Perl ⥸塼
Summary(ko):	XML::Parser  
Summary(no):	Perlmodul XML::Parser
Summary(pl):	Modu Perla XML::Parser
Summary(pt):	Mdulo de Perl XML::Parser
Summary(pt_BR):	Mdulo Perl XML::Parser
Summary(ru):	  Perl XML::Parser
Summary(sv):	XML::Parser Perlmodul
Summary(uk):	  Perl XML::Parser
Summary(zh_CN):	XML::Parser Perl ģ
Name:		perl-XML-Parser
Version:	2.31
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRequires:	perl-URI
BuildRequires:	perl-libwww
BuildRequires:	expat-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Parser - A Perl module for parsing XML documents.

%description -l cs
XML::Parser - Modul do Perlu pro parsovn XML dokument.

%description -l da
XML::Parser - Et perlmodul for fortolkning af XML-dokumenter.

%description -l de
XML::Parser - Ein Perl-Modul fr das Parsen von XML-Dokumenten.

%description -l es
XML::Parser - Mdulo Perl para pasear documentos XML.

%description -l fr
XML::Parser - Module Perl pour l'analyse de documents XML.

%description -l it
XML::Parser - Un modulo Perl per analizzare documenti XML.

%description -l ja
XMLɥ Ѥ perl ⥸塼 Ǥ

%description -l ko
XML::Parser - XML  Ľϴµ Ǵ  .

%description -l no
XML::Parser - En perlmodul for parsing av XML-dokumenter.

%description -l pl
XML::Parser - modu Perla analizujcy dokumenty XML.

%description -l pt
XML::Parser - Um mdulo de Perl para analisar documentos em XML.

%description -l sv
XML::Parser - En perl-modul fr att tolka XML-dokument.

%description -l zh_CN
 XML ĵ  Perl ģ顣

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p0

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -f samples/*~
install samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/XML/Parser.pm
%{perl_sitearch}/XML/Parser
%dir %{perl_sitearch}/auto/XML/Parser
%dir %{perl_sitearch}/auto/XML/Parser/Expat
%{perl_sitearch}/auto/XML/Parser/Expat/Expat.bs
%attr(755,root,root) %{perl_sitearch}/auto/XML/Parser/Expat/Expat.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Parser.spec,v $
Revision 1.28.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.28.2.1  2003/03/13 00:59:25  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.28  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/07/16 11:40:26  ankry
- translations, cleaning
- release 2

Revision 1.25  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/07/09 14:00:31  areq
- 2.31, STBR

Revision 1.23  2002/06/09 13:58:30  qboosh
- removed %%{perl_sitearch}/{,auto/}XML dirs (belong to perl now)
- new %%doc
- release 5

Revision 1.22  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/03/03 21:10:27  marcus
- rel.4.

Revision 1.20  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/10 15:38:42  depesz
adapterized

Revision 1.18  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/16 00:10:45  qboosh
- added %%{perl_sitearch}/{,auto/}XML dirs (no other package uses them)
- release 3

Revision 1.16  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/04/17 12:18:38  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/21 19:36:28  kloczek
- adapterized.

Revision 1.12  2001/02/12 11:41:51  depesz
- new version (ready for rebuild)
- added dependancy on expat

Revision 1.11  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.10  2000/08/10 11:07:22  kloczek
- updated to 2.29.

Revision 1.9  2000/06/09 07:23:45  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.5  1999/12/06 18:32:53  pius
- more BuildRequires rules

Revision 1.4  1999/12/06 14:23:12  pius
- updated to 2.27
- BuildRequires: rpm-perlprov >= 3.0.3-21

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:50  pius
- initial release

